/* **********
 *
 * Job and Results classes
 *
 * Copyright (c) 2003 Dan B Goldman, Aaron Hertzmann
 * 
 * This file is part of the BossWorker library
 *
 * BossWorker is free software; you can redistribute it and/or modify
 * it under the terms of the X11 Software License (see the LICENSE file
 * for details).
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the X11
 * License for more details.
 *
 * See BossWorker.h for API documentation
 *
 * **********/

#ifndef _MESSAGE_H_
#define _MESSAGE_H_

#include <string>

class Message {
 public:
  virtual std::string pack() const = 0;
  virtual void unpack(const std::string &str) = 0;
};

class JobMessage : public Message {};
class ResultMessage : public Message {};

#endif // _MESSAGE_H

